<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('company', function (Blueprint $table) {
            //
            $table->string("review_status", 30)->nullable()->default(\App\Models\Enums\CompanyReviewStatus::WAIT->value);
            $table->date("exp_date")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('company', function (Blueprint $table) {
            //
            $table->dropColumn(['review_status','exp_date']);
        });
    }
};
