<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('system_operation_logs', function (Blueprint $table) {
            $table->id();
            $table->string("ip", 50);
            $table->string("user_id")->nullable();
            $table->string("url")->nullable();
            $table->string("method", 20);
            $table->dateTime("request_at")->nullable();
            $table->string("browser", 30)->nullable();
            $table->string("platform", 30)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('system_operation_logs');
    }
};
